%define module  Lingua-Stem
%define name    perl-%{module}
%define version 0.83
%define release %mkrel 4

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Stemming of words
License:        GPL or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/Lingua/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
BuildRequires:  perl-devel
%endif
BuildRequires:  perl(Lingua::PT::Stemmer)
BuildRequires:  perl(Lingua::Stem::It)
BuildRequires:  perl(Lingua::Stem::Fr)
BuildRequires:  perl(Lingua::Stem::Snowball::Da)
BuildRequires:  perl(Lingua::Stem::Snowball::No)
BuildRequires:  perl(Lingua::Stem::Snowball::Se)
BuildRequires:  perl(Text::German)
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
This routine applies stemming algorithms to its parameters, returning the
stemmed words as appropriate to the selected locale.

%prep
%setup -q -n %{module}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot} 
%makeinstall_std

%clean 
rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Lingua
%{_mandir}/man3*/*



%changelog
* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.83-4mdv2009.0
+ Revision: 257585
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.83-3mdv2009.0
+ Revision: 245626
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.83-1mdv2008.1
+ Revision: 136280
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Jul 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.83-1mdv2008.0
+ Revision: 56095
- new version


* Mon Jul 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.82-1mdv2007.0
- New version 0.82
- spec cleanup
- fix directory ownership
- better summary

* Fri Jun 09 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.81-1mdv2007.0
- Rebuild

* Tue Jun 07 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.81-mdk
- 0.81
- Fix Url
- Fix Requires
- Make rpmbuildupdate Happy

* Thu Jun 03 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.70-1mdk
- 0.70
- fix buildrequires
- drop PREFIX
- use %%makeinstall_std macro
- cosmetics
- drop test for now

